binaryhorizon(6)

NAME
binaryhorizon - A system of path tracing particles evolves continuously from an initial horizon.

SYNOPSIS
binaryhorizon [-fps] [-install] [-noinstall] [-mono] [-root] [-visual visual] [-window] [-window-id window-id] [-color] [-no-color] [-growth-delay delayms] [-particle-number particles] [-duration secs] [-bicolor] [-monocolor]

DESCRIPTION
A system of path tracing particles evolves continuously from an initial horizon, alternating between colors. Ported (with some extensions) from the code by J. Tarbell at http://complexification.net

OPTIONS
binaryhorizon accepts the following options:

-fps
    Display the current frame rate and CPU load.

-install
    Install a private colormap for the window.

-mono
    If on a color display, pretend we're on a monochrome display.

-noinstall
    Don't install a private colormap for the window.

-root
    Draw on the root window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-window-id window-id
    Specify which window id to use.

-color (Default)
    Particles have random generated colors that gradually change over time.

-no-color
    Use the original black and white visualization.

-bicolor (Default)
    Particles have 2 random colors, starting as white and black.

-monocolor
    Particles have 2 colors, one starting as white and gradually changing, and one staying black.

-fade (Default)
    Particles gradually fade between colors over time.

-no-fade
    Every particle is a random color.

-growth-delay delayms (Default: 10000)
    Delay in ms between growth cycles. More delay, slower (but less CPU intensive).

-particles-number particles (Default: 5000)
    The number of particles in the system. With more particles the fps can also be affected.

-duration secs (Default: 30)
    How long between full resets.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright based on Copyright © 2003 by J. Tarbell (complex@complexification.net, http://www.complexification.net). Ported to XScreensaver by Emilio Del Tessandoro (emilio.deltessa@gmail.com)

AUTHOR
Patrick Leiser <patrick27leiser@yahoo.org>, Mar-20 J. Tarbell <complex@complexification.net>, Jun-03 Emilio Del Tessandoro <emilio.deltessa@gmail.com>, Aug-14